Devuan bug report logs - #623
chimaera-backports repo being used unprompted- missing pin priority

version graph

Package: amprolla; Maintainer for amprolla is Evilham <devuan@evilham.com>;

Reported by: juu <juu@protonmail.com>

Date: Sat, 23 Oct 2021 23:32:02 UTC

Severity: normal

Merged with 624

Found in version chimaera

Done: Mark Hindley <mark@hindley.org.uk>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#623; Package chimaera-backports. (Sat, 23 Oct 2021 23:32:02 GMT) (full text, mbox, link).


Acknowledgement sent to juu <juu@protonmail.com>:
New bug report received and forwarded. Copy sent to devuan-dev@lists.dyne.org. (Sat, 23 Oct 2021 23:32:04 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: juu <juu@protonmail.com>
To: "submit@bugs.devuan.org" <submit@bugs.devuan.org>
Subject: Re: chimaera-backports repo being used unprompted- missing pin priority
Date: Sat, 23 Oct 2021 23:22:56 +0000
[Message part 1 (text/plain, inline)]
Package: chimaera-backports
Version: 4.0

I'm running Devuan Chimaera and recently discovered that packages were being upgraded from backports without me manually installing it from backports. I thought that these packages were just put into stable until realizing later that they were backported packages. As described here, a user on dev1galaxy forums realized that the Devuan release file does not put a pin priority of 100 on backports like it does in Debian.

The Debian bullseye-backports repository has a[Release file](http://deb.debian.org/debian/dists/bullseye-backports/Release)that contains these lines:

NotAutomatic: yes
ButAutomaticUpgrades: yes

This confers a pin priority of 100 for all packages, which means they will not be installed unless explicitly targetted (either by version or with the--targetoption forapt) but any packages that are installed from backports will be kept updated from there.

But the Devuan chimaera-backports repository[Release file](http://deb.devuan.org/devuan/dists/chimaera-backports/Release)does not have those lines.

For background, here is the thread where this is being discussed, starting at post #15 in the thread.
[https://dev1galaxy.org/viewtopic.php?id=4567](http://dev1galaxy.org/viewtopic.php?id=4567)

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐
On Saturday, October 23rd, 2021 at 6:01 PM, juu <juu@protonmail.com> wrote:

> I'm running Devuan Chimaera and recently discovered that packages were being upgraded from backports without me manually installing it from backports. I thought that these packages were just put into stable until realizing later that they were backported packages. As described here, a user on dev1galaxy forums realized that the Devuan release file does not put a pin priority of 100 on backports like it does in Debian.
>
> The Debian bullseye-backports repository has a[Release file](http://deb.debian.org/debian/dists/bullseye-backports/Release)that contains these lines:
>
> NotAutomatic: yes
> ButAutomaticUpgrades: yes
>
> This confers a pin priority of 100 for all packages, which means they will not be installed unless explicitly targetted (either by version or with the--targetoption forapt) but any packages that are installed from backports will be kept updated from there.
>
> But the Devuan chimaera-backports repository[Release file](http://deb.devuan.org/devuan/dists/chimaera-backports/Release)does not have those lines.
>
> For background, here is the thread where this is being discussed, starting at post #15 in the thread.
> [https://dev1galaxy.org/viewtopic.php?id=4567](http://dev1galaxy.org/viewtopic.php?id=4567)
[Message part 2 (text/html, inline)]

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#623; Package chimaera-backports. (Sun, 24 Oct 2021 07:02:01 GMT) (full text, mbox, link).


Message #8 received at 623@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: juu <juu@protonmail.com>, 623@bugs.devuan.org
Subject: Re: bug#623: chimaera-backports repo being used unprompted- missing pin priority
Date: Sun, 24 Oct 2021 07:58:54 +0100
Control: forcemerge -1 624

Hi,

On Sat, Oct 23, 2021 at 11:22:56PM +0000, juu wrote:
>    Package: chimaera-backports
> 
>    Version: 4.0
> 
>    I'm running Devuan Chimaera and recently discovered that packages were
>    being upgraded from backports without me manually installing it from
>    backports. I thought that these packages were just put into stable
>    until realizing later that they were backported packages. As described
>    here, a user on dev1galaxy forums realized that the Devuan release file
>    does not put a pin priority of 100 on backports like it does in Debian.
> 
>    The Debian bullseye-backports repository has a Release file that
>    contains these lines:
> 
> NotAutomatic: yes
> ButAutomaticUpgrades: yes

Thanks for reporting this. I have changed the configuration in DAK. It may take
up to a day to be propagated. I will check again tomorrow before closing the bug
as fixed.

Mark

bug reassigned from package 'chimaera-backports' to 'amprolla'. Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Sun, 24 Oct 2021 09:12:01 GMT) (full text, mbox, link).


No longer marked as found in versions 4.0. Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Sun, 24 Oct 2021 09:12:01 GMT) (full text, mbox, link).


Marked as found in versions chimaera. Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Sun, 24 Oct 2021 09:12:01 GMT) (full text, mbox, link).


Merged 623 624 Request was from Mark Hindley <mark@hindley.org.uk> to control@bugs.devuan.org. (Sun, 24 Oct 2021 09:12:02 GMT) (full text, mbox, link).


Reply sent to Mark Hindley <mark@hindley.org.uk>:
You have taken responsibility. (Mon, 25 Oct 2021 18:32:01 GMT) (full text, mbox, link).


Notification sent to juu <juu@protonmail.com>:
bug acknowledged by developer. (Mon, 25 Oct 2021 18:32:04 GMT) (full text, mbox, link).


Message #21 received at 623-done@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: 623-done@bugs.devuan.org
Subject: Re: bug#623: chimaera-backports repo being used unprompted- missing pin priority
Date: Mon, 25 Oct 2021 19:28:17 +0100

On Sun, Oct 24, 2021 at 07:58:55AM +0100, Mark Hindley wrote:
> Thanks for reporting this. I have changed the configuration in DAK. It may take
> up to a day to be propagated. I will check again tomorrow before closing the bug
> as fixed.

The configuration change has propagated to the mirrors.

Closing.

Mark

Reply sent to Mark Hindley <mark@hindley.org.uk>:
You have taken responsibility. (Mon, 25 Oct 2021 18:32:06 GMT) (full text, mbox, link).


Notification sent to Jorenz Paragas <j.paragas.237@gmail.com>:
bug acknowledged by developer. (Mon, 25 Oct 2021 18:32:08 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Thu Dec 2 03:15:46 2021;